> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# v1 Model Summary

> Retrieve summary of a specific model based on the risk type and sub-type.



## OpenAPI

````yaml GET /leaderboard/summary/{modelName}
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /leaderboard/summary/{modelName}:
    get:
      tags:
        - Archived
      summary: v1 Model Summary
      description: >-
        Retrieve summary of a specific model based on the risk type and
        sub-type.
      operationId: leaderboard_model_summary_get
      parameters:
        - in: path
          name: modelName
          required: true
          schema:
            title: Model Name
            type: string
            example: Mistral-7B-Instruct-v0.1
            description: The name of the model.
        - in: query
          name: riskType
          required: true
          schema:
            title: Risk Type
            type: string
            description: The risk type.
        - in: query
          name: subType
          required: true
          schema:
            title: Sub Type
            type: string
            description: The sub-type of the risk.
      responses:
        '200':
          description: Summary of the model's risk analysis.
          content:
            application/json:
              schema:
                title: LeaderboardSummaryResponse
                type: object
                properties:
                  status:
                    title: LeaderboardSummaryResponseStatus
                    type: string
                    example: success
                  data:
                    title: LeaderboardSummaryResponseData
                    type: object
                    properties:
                      summary:
                        title: LeaderboardSummaryResponseSummary
                        type: array
                        items:
                          title: Risk Summary
                          type: object
                          properties:
                            method:
                              title: Method
                              type: string
                              example: biasdecision
                              description: The method used for analysis.
                            method_info:
                              title: Method Info
                              type: string
                              example: Bias Decision
                              description: Information about the method.
                            category:
                              title: Category
                              type: string
                              example: Race
                              description: The category of risk.
                            category_info:
                              title: Category Info
                              type: string
                              example: Race
                              description: Information about the category.
                            total:
                              title: Total
                              type: integer
                              example: 60
                              description: Total number of cases analyzed.
                            failed:
                              title: Failed
                              type: integer
                              example: 60
                              description: Number of cases failed.
                            time_taken:
                              title: Time Taken
                              type: number
                              example: 297.60746788978577
                              description: Time taken for analysis in milliseconds.
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````